//+------------------------------------------------------------------+
//|                DayProjection.mq4                                 |
//|                Copyright  2006  Scorpion@fxfisherman.com        |
//+------------------------------------------------------------------+
#property copyright "FxFisherman.com"
#property link      "http://www.fxfisherman.com"

#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 Blue
#property indicator_width1 2
#property indicator_color2 Red
#property indicator_width2 2
#property indicator_color3 Blue
#property indicator_width3 2

extern int Weekday=1;
extern bool Hide_Day=true;
extern int Shift_Bars=0;
extern int Bars_Count=0;

//---- buffers
double v1[];
double v2[];
double v3[];
  
int init()
  {

   IndicatorBuffers(3);
  

   SetIndexDrawBegin(0,-1);
   SetIndexBuffer(0, v1);
   SetIndexLabel(0,"High");
   

   SetIndexDrawBegin(1,-1);
   SetIndexBuffer(1, v2);
   SetIndexLabel(1,"Mid");

   SetIndexDrawBegin(2,-1);
   SetIndexBuffer(2, v3);
   SetIndexLabel(2,"Low");

   watermark();
 
   return(0);
  }

int start()
 {
  int i;
  int shift; 
  double hi=0;
  double lo;
  int prevDay=0;
  
  i = Bars_Count;
  if (i <= 0) i = Bars-1;
  
  while(i>=0)
   {
    shift = i + Shift_Bars;
    
    if (TimeDayOfWeek(Time[shift])==Weekday)
    {
      if (prevDay != Weekday) {
        hi = 0;
        lo = 0;
      }
      if (High[shift] > hi) hi = High[shift];
      if (Low[shift] < lo || lo == 0) lo = Low[shift];
    }
    
    if (TimeDayOfWeek(Time[shift])!=Weekday || !Hide_Day)
    {
      v1[i] = hi;
      v2[i] = (hi + lo)/2;
      v3[i] = lo;
    }
    
    prevDay = TimeDayOfWeek(Time[shift]);
    
    i--;
   }   
  return(0);
 }
 
//+------------------------------------------------------------------+

void watermark()
  {
   ObjectCreate("fxfisherman", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("fxfisherman", "fxfisherman.com", 11, "Lucida Handwriting", RoyalBlue);
   ObjectSet("fxfisherman", OBJPROP_CORNER, 2);
   ObjectSet("fxfisherman", OBJPROP_XDISTANCE, 5);
   ObjectSet("fxfisherman", OBJPROP_YDISTANCE, 10);
   return(0);
  }